public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rspec-expectations/
Date: Sat,  1 Oct 2022 07:06:37 +0000 (UTC)	[thread overview]
Message-ID: <1664607993.8548acc840ee6d88a29ab534e18bf8a26e5f853b.graaff@gentoo> (raw)

commit:     8548acc840ee6d88a29ab534e18bf8a26e5f853b
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  1 07:05:12 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct  1 07:06:33 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8548acc8

dev-ruby/rspec-expectations: add 3.11.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/rspec-expectations/Manifest               |  1 +
 .../rspec-expectations-3.11.1.ebuild               | 47 ++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-ruby/rspec-expectations/Manifest b/dev-ruby/rspec-expectations/Manifest
index 376188aea5b8..15b8af107292 100644
--- a/dev-ruby/rspec-expectations/Manifest
+++ b/dev-ruby/rspec-expectations/Manifest
@@ -2,3 +2,4 @@ DIST rspec-expectations-2.99.2-git.tgz 106884 BLAKE2B 5b31c8681306d5c688f62fc3fc
 DIST rspec-expectations-3.10.1-git.tgz 212281 BLAKE2B a1872a7f71c198db1662eca48bcb34c054f05c16193395962cb47a7fa230c2f0f83bedee302a0ab6a81380a361640177ac3370d8829faa6bd362c07e3a551e5e SHA512 35999542bf70ff04a472e50434abb8815cac8bf10b680da458f5e0e6ee290a1a6356a22cc12f0a8a6310cf282bb6cd99f922fcc63a0cf1e252b167e451bcf7d4
 DIST rspec-expectations-3.10.2-git.tgz 213253 BLAKE2B 51c306d34dfd82d551b8390bed9790748f8f62b9f4b5243399486640d04465dc0c33756f7a575e98c8e61310cf6c25b93b4c1102fc1798814d916defb0ad310e SHA512 819f1b9e881a56d5563c9421e3e897726931c3cb27be5554e35f41077656e426cbac1ddced6a6e61ba21faa7c147c239433ddb9d21ae2e88592d91b286c170a7
 DIST rspec-expectations-3.11.0-git.tgz 214878 BLAKE2B f830a0a31fb0e7cd6639e711e4daa9faa98e514b6a1dd864c383259d199dc617c6c7ff45dc65f37cf53d3c4581c6ecb9148e42b77f3c37541d8985714d62af23 SHA512 209eabafe92db3de1a78524d98facda16b3f5fef11f8f0c8c74bc6fc68529c8d9a835a8196e84b8b8bdf828d548d4b00bb1acdd607cab14dad7874f55a42b0c6
+DIST rspec-expectations-3.11.1-git.tgz 217396 BLAKE2B b9660b22f0b23a5436d98ffe2b21b58c947765ab5cf7d245bf265faead46a5326fc403ad55ee2fcd72d96c8c29fc996715ecc74c9521ec4ca34daa9d5bc0f819 SHA512 1941056eb2f2205f583f335993e25030b433cb0463992d74d5c568c7bbab4313fc6e7e14ada5147064b14d6da49326e3c3cb342408cfe9b38d350c9470e5cdf9

diff --git a/dev-ruby/rspec-expectations/rspec-expectations-3.11.1.ebuild b/dev-ruby/rspec-expectations/rspec-expectations-3.11.1.ebuild
new file mode 100644
index 000000000000..7e2877d8201b
--- /dev/null
+++ b/dev-ruby/rspec-expectations/rspec-expectations-3.11.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-expectations"
+SRC_URI="https://github.com/rspec/${PN}/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+SUBVERSION="$(ver_cut 1-2)"
+
+ruby_add_rdepend ">=dev-ruby/diff-lcs-1.2.0 =dev-ruby/diff-lcs-1*
+	=dev-ruby/rspec-support-${SUBVERSION}*"
+
+ruby_add_bdepend "test? (
+		>=dev-ruby/rspec-mocks-3.2.0:3
+		>=dev-ruby/rspec-support-3.5.0:3
+	)"
+
+all_ruby_prepare() {
+	# Don't set up bundler: it doesn't understand our setup.
+	sed -i -e '/[Bb]undler/d' Rakefile || die
+
+	# Remove the Gemfile to avoid running through 'bundle exec'
+	rm -f Gemfile || die
+
+	# fix up the gemspecs
+	sed -i \
+		-e '/git ls/d' \
+		-e '/add_development_dependency/d' \
+		"${RUBY_FAKEGEM_GEMSPEC}" || die
+}


             reply	other threads:[~2022-10-01  7:06 UTC|newest]

Thread overview: 174+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-01  7:06 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-18 16:44 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rspec-expectations/ Arthur Zamarin
2024-10-18 15:40 Arthur Zamarin
2024-10-17  7:19 Sam James
2024-10-17  7:08 Sam James
2024-10-17  7:08 Sam James
2024-10-17  6:57 Arthur Zamarin
2024-10-17  6:57 Arthur Zamarin
2024-10-13 21:41 Sam James
2024-10-09  5:46 Sam James
2024-10-06 13:39 Arthur Zamarin
2024-10-06 13:30 Arthur Zamarin
2024-09-08  6:44 Hans de Graaff
2024-08-21  5:29 Hans de Graaff
2024-06-15  6:04 Hans de Graaff
2024-06-02  7:09 Sam James
2024-06-02  7:09 Sam James
2024-06-02  7:09 Sam James
2024-06-02  7:09 Sam James
2024-06-02  7:09 Sam James
2024-02-17  7:03 Hans de Graaff
2024-02-08 14:24 Hans de Graaff
2023-12-30  7:43 Hans de Graaff
2023-12-30  7:43 Hans de Graaff
2023-08-29 14:26 Hans de Graaff
2023-08-26 15:39 Hans de Graaff
2023-08-25  5:25 Hans de Graaff
2023-08-04 11:31 Sam James
2023-07-14  5:46 Arthur Zamarin
2023-04-23 23:13 Sam James
2023-04-23 22:28 Sam James
2023-04-22  6:40 Hans de Graaff
2023-04-10 10:56 Sam James
2023-04-10 10:54 Sam James
2023-04-10 10:54 Sam James
2023-04-10 10:54 Sam James
2023-04-10 10:52 Sam James
2023-04-01  9:00 Hans de Graaff
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-10  9:08 Hans de Graaff
2023-01-13 13:50 Sam James
2023-01-09  2:15 Sam James
2023-01-09  1:28 Sam James
2023-01-08 17:00 Arthur Zamarin
2023-01-08 17:00 Arthur Zamarin
2023-01-08 12:13 Jakov Smolić
2023-01-08 12:13 Jakov Smolić
2023-01-08  8:00 Hans de Graaff
2022-12-18  7:21 Hans de Graaff
2022-10-29  6:27 Hans de Graaff
2022-06-24  7:25 Hans de Graaff
2022-03-31  5:39 Hans de Graaff
2022-02-11  7:43 Hans de Graaff
2022-01-15  6:29 Hans de Graaff
2021-08-03 11:51 Marek Szuba
2021-08-02 21:48 Marek Szuba
2021-07-20  5:18 Hans de Graaff
2021-07-17  5:00 Sam James
2021-07-15 22:18 Sergei Trofimovich
2021-07-08  7:22 Sergei Trofimovich
2021-07-07 14:22 Sergei Trofimovich
2021-07-04  5:52 Hans de Graaff
2021-07-04  5:52 Hans de Graaff
2021-04-12 16:41 Sam James
2021-04-11 15:54 Sam James
2021-03-21  9:45 Sergei Trofimovich
2021-03-12 19:27 Sergei Trofimovich
2021-03-09 11:29 Sam James
2021-03-09 11:23 Sam James
2021-03-09 11:20 Sam James
2021-03-09  6:51 Hans de Graaff
2021-03-09  6:26 Hans de Graaff
2020-12-29  6:36 Hans de Graaff
2020-11-14  6:53 Hans de Graaff
2020-11-06  3:21 Sam James
2020-10-31  7:59 Hans de Graaff
2020-09-09  9:28 Hans de Graaff
2020-03-14 11:04 Hans de Graaff
2020-01-13 19:24 Hans de Graaff
2020-01-12  7:16 Hans de Graaff
2019-11-02  7:13 Hans de Graaff
2019-10-10  5:42 Hans de Graaff
2019-09-13 17:29 Mikle Kolyada
2019-08-24 21:24 Sergei Trofimovich
2019-08-23 16:33 Agostino Sarubbo
2019-08-23 13:11 Agostino Sarubbo
2019-08-23 10:00 Agostino Sarubbo
2019-08-22 22:03 Agostino Sarubbo
2019-08-22 22:01 Agostino Sarubbo
2019-08-22 18:32 Sergei Trofimovich
2019-08-22 11:48 Agostino Sarubbo
2019-08-21 21:07 Agostino Sarubbo
2019-08-19  8:02 Hans de Graaff
2019-06-11  5:40 Hans de Graaff
2019-04-22  5:40 Hans de Graaff
2019-03-16 19:56 Mikle Kolyada
2019-01-18 11:12 Hans de Graaff
2019-01-05  7:58 Hans de Graaff
2018-12-11 11:34 Hans de Graaff
2018-11-24 10:39 Sergei Trofimovich
2018-11-24  8:09 Hans de Graaff
2018-11-24  8:09 Hans de Graaff
2018-11-18 10:38 Sergei Trofimovich
2018-11-07 22:59 Sergei Trofimovich
2018-10-15 18:12 Markus Meier
2018-10-14  6:01 Hans de Graaff
2018-10-11 18:49 Tobias Klausmann
2018-09-24  4:53 Hans de Graaff
2018-09-24  1:50 Thomas Deutschmann
2018-09-23 10:05 Sergei Trofimovich
2018-09-22  6:11 Hans de Graaff
2018-09-22  6:02 Hans de Graaff
2018-09-19 20:27 Sergei Trofimovich
2018-08-24  1:40 Thomas Deutschmann
2018-08-11 18:55 Sergei Trofimovich
2018-08-07  4:16 Hans de Graaff
2018-08-05  6:42 Hans de Graaff
2018-07-29 10:35 Sergei Trofimovich
2018-07-23 13:09 Tobias Klausmann
2018-07-05 18:32 Sergei Trofimovich
2018-05-15 19:16 Markus Meier
2018-04-25  6:08 Sergei Trofimovich
2018-04-21 22:38 Aaron Bauman
2018-03-24  8:35 Hans de Graaff
2018-02-10 12:56 Jeroen Roovers
2018-01-24  5:34 Hans de Graaff
2017-12-23 11:17 Markus Meier
2017-12-20 22:16 Sergei Trofimovich
2017-12-03  8:31 Hans de Graaff
2017-12-01 22:57 Sergei Trofimovich
2017-11-30 22:45 Sergei Trofimovich
2017-10-22 21:42 Tobias Klausmann
2017-10-22 20:33 Thomas Deutschmann
2017-10-21 10:20 Sergei Trofimovich
2017-10-21  9:58 Hans de Graaff
2017-10-21  9:58 Hans de Graaff
2017-10-21  9:18 Sergei Trofimovich
2017-10-21  5:47 Hans de Graaff
2017-08-23 21:43 Sergei Trofimovich
2017-06-29 20:54 Sergei Trofimovich
2017-06-28 20:49 Sergei Trofimovich
2017-06-28  9:35 Alexis Ballier
2017-06-25  7:58 Hans de Graaff
2017-05-06  5:10 Hans de Graaff
2017-03-29  2:06 Jeroen Roovers
2017-02-27 17:01 Michael Weber
2017-01-14  8:52 Hans de Graaff
2017-01-02 19:32 Markus Meier
2016-12-25  6:04 Aaron Bauman
2016-12-15  9:39 Tobias Klausmann
2016-12-09  6:41 Hans de Graaff
2016-11-15  0:05 Manuel Rüger
2016-07-09  5:29 Hans de Graaff
2016-07-08 13:48 Agostino Sarubbo
2016-07-08 10:30 Agostino Sarubbo
2016-07-03  5:49 Hans de Graaff
2016-03-14 20:49 Hans de Graaff
2016-03-07 21:14 Hans de Graaff
2016-03-07 20:21 Hans de Graaff
2016-03-06 19:08 Hans de Graaff
2016-02-12 12:36 Fabian Groffen
2016-02-05 16:23 Tobias Klausmann
2016-02-04 19:31 Tobias Klausmann
2016-01-17 18:24 Agostino Sarubbo
2016-01-02 16:29 Jeroen Roovers
2016-01-02 15:27 Jeroen Roovers
2015-11-24 20:33 Markus Meier
2015-11-18  8:57 Agostino Sarubbo
2015-11-17  9:59 Agostino Sarubbo
2015-11-14 10:13 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1664607993.8548acc840ee6d88a29ab534e18bf8a26e5f853b.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox